package com.yunfeiyun.agmp.fms.domain.vo;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import com.yunfeiyun.agmp.common.enums.DictTypeEnums;
import com.yunfeiyun.agmp.common.utils.DictUtils;
import com.yunfeiyun.agmp.common.utils.StringUtils;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 农事任务提交农资使用记录对象
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
@Data
public class FmsTaskassetVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 农事任务农资标识 */
    private String taskassetId;

    /** 货物标识 */
    @Excel(name = "货物标识")
    private String goodsId;

    /**农资货物标识*/
    private String assetgoodsId;

    /** 农事任务农资使用量 */
    @Excel(name = "农事任务农资使用量")
    private BigDecimal taskassetUsedcount;

    /** 货物名称 */
    @Excel(name = "货物名称")
    private String goodsName;

    /** 库存单位 */
    @Excel(name = "库存单位")
    private String goodsUnit;

    /** 库存规格 */
    @Excel(name = "库存规格")
    private String goodsSpec;
    /** 农资类型 */
    private String goodsType;

    /** 农事任务农资投入金额 */
    private BigDecimal taskassetInvestmentAmount;


    public String getGoodsUnit() {
        if (StringUtils.isEmpty(this.goodsUnit)){
            return "";
        }
        return goodsUnit;
    }

    public String getGoodsSpec() {
        if (StringUtils.isEmpty(this.goodsSpec)){
            return "";
        }
        return goodsSpec;
    }

    public String getGoodsTypeContent(){
        if(StringUtils.isEmpty(this.goodsType)){
            return "";
        }
        return DictUtils.getDictLabel(DictTypeEnums.WMS_GOODS_TYPE.getCode(),this.goodsType);
    }
    public String getGoodsUnitContent(){
        if(StringUtils.isEmpty(this.goodsUnit)){
            return "";
        }
        return DictUtils.getDictLabel(DictTypeEnums.WMS_GOODS_UNIT.getCode(),this.goodsUnit);
    }


}
